<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOpeningBalanceClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('opening_balance_clients', function (Blueprint $table) {
            $table->id();
            $table->double('c_id', 10)->unique()->nullable();
            $table->date('op_bal_date')->nullable();
            $table->string('amount', 50)->nullable();
            $table->string('details', 255)->nullable();
            $table->longText('logs')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('opening_balance_clients');
    }
}
